Kerbal Space Program - Bug #22948

Kerbal Space Program fails to launch with Breaking Ground DLC installed
06/20/2019 03:38 AM - Kikseo

Status: Closed Start date: 06/20/2019
Severity: Low % Done: 100%
Assignee:
Category: Application
Target version:
Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Summary: When launching the game with the Breaking Ground DLC installed, the game throws an access violation and crashes
before loading the main menu.

Steps to Replicate:
1) Launch the game (I have tried from Steam, from the KSP launcher, and from CKAN. Please note that | have no mods installed.)

Result/Observed: Game will crash throwing this error:

d3d9.dll caused an Access Violation (0xc0000005)
in module d3d9.dll at 0033:51a620bc.

Fixes/Workarounds:
| was able to temporarily use the game by reinstalling Windows, but it reoccurred the next day.

Notes:
More information about my experience with this issue can be found on the KSP forum. Link below:
[[https:/forum.kerbalspaceprogram.com/index.php?/topic/185497-ksp-always-crashes-after-load/#comment-3619840]]

History

#1 - 06/20/2019 10:33 AM - Kikseo

It looks like there is actually another workaround. Using -force-opengl has worked flawlessly for me today.

#2 - 06/20/2019 10:37 PM - Kikseo

It looks like if | remove the CKAN folder from my game directory or uninstall it completely, it also runs fine. (Please note that I've been testing this
without any mods installed, but CKAN still had an empty folder in my game directory.)

#3 - 10/31/2019 04:49 PM - Robert.Keech
- Status changed from New to Not a Bug

#4 - 10/31/2019 04:50 PM - Robert.Keech
- Status changed from Not a Bug to Confirmed

- % Done changed from 0 to 10

#5 - 10/31/2019 04:50 PM - Robert.Keech
- Status changed from Confirmed to Updated

#6 - 10/31/2019 04:50 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#7 - 10/31/2019 06:10 PM - chris.fulton
https://forum.kerbalspaceprogram.com/index.php?/topic/185497-ksp-always-crashes-after-load/#comment-3619840

- Status changed from Resolved to Closed

Files

kerbalerror.zip 64.6 KB 06/20/2019 Kikseo
